import 'package:flutter/widgets.dart';

import 'StringResources.dart';

/// Serves as a repository for all strings
///
class StringsRepository<StringsClass extends StringResources> extends ChangeNotifier {

  StringsClass strings;

  StringsRepository({this.strings});

  void setStrings(StringsClass strings) {
    this.strings = strings;
    notifyListeners();
  }


}