import 'package:flutter/widgets.dart';
import 'package:flutterskel/resources/themes/ThemeResources.dart';

abstract class ThemeRepository<Theme extends ThemeResources> extends ChangeNotifier {

  Theme theme;

  ThemeRepository({
    this.theme
  });

  void setTheme(Theme theme) {
    this.theme = theme;
    notifyListeners();
  }

}